body {
  width: fit-content;
  height: fit-content;
  display: flex;
  border: 1px solid rgb(140, 140, 140);
}

.mainbar {
  width: fit-content;
  height: fit-content;
  padding: 10px;
  margin: 10px;
  border: 1px solid rgb(180, 180, 180);
}

.apikeyinput {
  margin-right: 10px;
  width: 100px;
}

.factioninput {
  margin-right: 10px;
  width: 60px;
}

.userlist {
  width: auto;
  height: fit-content;
  display: flex;
  padding: 7px;
  padding-top: 0px;
}

.flexchild {
  flex: 1;
  padding: 10px;
  margin: 3px;
  margin-top: 0px;
  border: 1px solid rgb(180, 180, 180);
}

table {
  width: 100%;
  border-collapse: collapse;
}

th,
td {
  border: 1px solid rgb(180, 180, 180);
  padding: 2px;
  text-align: center;
  white-space: nowrap;
}

th {
  background-color: rgb(220 220 220);
  font-weight: bold;
}



tr:nth-child(even) {
  background-color: rgb(230 230 230);
}

.selectable tr:hover {
  background-color: rgb(240 247 255);
  cursor: pointer;
}

.selected {
  background-color: #dbeafe;
  outline: 2px solid #3b82f6;
}

.sidepanel {
  width: fit-content;
  height: auto;
  padding: 10px;
  margin: 10px;
  margin-left: 0px;
  border: 1px solid rgb(180, 180, 180);
}
